List operator fixed-width layout templates
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/imports/formats/templates \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/imports/formats/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/imports/formats/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/imports/formats/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2025-01-15T10:30:00Z",
"discriminator": {
"length": 1,
"startByte": 0
},
"formatKey": "br/cnab400/acme-cobranca",
"id": "550e8400-e29b-41d4-a716-446655440000",
"recordTypeCount": 1,
"recordWidths": {},
"records": [
{
"fields": [
{
"kind": "decimal",
"length": 12,
"name": "amount",
"startByte": 11
}
],
"recordType": "1",
"width": 33
}
],
"requiredFields": [
"<string>"
],
"variantKey": "acme-cobranca"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List operator fixed-width layout templates
Returns every active per-tenant fixed-width layout template. The list is unpaginated: layout templates are bounded operator config. Tenant from the JWT; never the body.
GET
/
v1
/
imports
/
formats
/
templates
List operator fixed-width layout templates
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/imports/formats/templates \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/imports/formats/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/imports/formats/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/imports/formats/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2025-01-15T10:30:00Z",
"discriminator": {
"length": 1,
"startByte": 0
},
"formatKey": "br/cnab400/acme-cobranca",
"id": "550e8400-e29b-41d4-a716-446655440000",
"recordTypeCount": 1,
"recordWidths": {},
"records": [
{
"fields": [
{
"kind": "decimal",
"length": 12,
"name": "amount",
"startByte": 11
}
],
"recordType": "1",
"width": 33
}
],
"requiredFields": [
"<string>"
],
"variantKey": "acme-cobranca"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Was this page helpful?

